RagTime5TextInternal::LinkPLC Struct Reference

a small struct used to store link plc data: footnote, index, ... More...

## Public Member Functions
| LinkPLC ()
| constructor

## Public Attributes
int | m_what
| the plc type 0:attachment, 1:item(list item), 2:unknown, 3:index, 4:formula(page number, ...), 5:footnote
int | m_type
| the file type
MWAWVec2i | m_positions
| the position in the text
int | m_id
| an identifier
MWAWVec2f | m_dimensions
| the attachment box
MWAWVec2i | m_footnotePositions
| the footnote data

## Detailed Description

a small struct used to store link plc data: footnote, index, ...

## Constructor & Destructor Documentation

## ◆ LinkPLC()

RagTime5TextInternal::LinkPLC::LinkPLC | ( |  | ) |
| inline

constructor

## Member Data Documentation

## ◆ m_dimensions

MWAWVec2f RagTime5TextInternal::LinkPLC::m_dimensions

the attachment box

Referenced by LinkPLC(), and RagTime5Text::readLinkZones().

## ◆ m_footnotePositions

MWAWVec2i RagTime5TextInternal::LinkPLC::m_footnotePositions

the footnote data

Referenced by LinkPLC(), and RagTime5Text::readLinkZones().

## ◆ m_id

int RagTime5TextInternal::LinkPLC::m_id

an identifier

Referenced by LinkPLC(), and RagTime5Text::readLinkZones().

## ◆ m_positions

MWAWVec2i RagTime5TextInternal::LinkPLC::m_positions

the position in the text

Referenced by LinkPLC(), and RagTime5Text::readLinkZones().

## ◆ m_type

int RagTime5TextInternal::LinkPLC::m_type

the file type

Referenced by LinkPLC(), and RagTime5Text::readLinkZones().

## ◆ m_what

int RagTime5TextInternal::LinkPLC::m_what

the plc type 0:attachment, 1:item(list item), 2:unknown, 3:index, 4:formula(page number, ...), 5:footnote

Referenced by LinkPLC(), and RagTime5Text::readLinkZones().

The documentation for this struct was generated from the following file:

- RagTime5Text.cxx